Bug 48257 - New Port: sysutils/portdowngrade: a tool to set a port back to a
Summary: New Port: sysutils/portdowngrade: a tool to set a port back to a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-13 19:50 UTC by Heiner
Modified: 2003-12-04 06:50 UTC (History)
0 users

See Also:


Attachments
portdowngrade.tar.bz2 (981 bytes, application/x-tbz)
2003-11-17 20:55 UTC, Heiner
no flags Details
patch.tar.bz2 (329 bytes, application/x-tbz)
2003-11-23 09:06 UTC, Heiner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner 2003-02-13 19:50:04 UTC
Portdowngrade helps to downgrade FreeBSD ports by analyzing the history
of commits to the port and presenting the user the list of changes. By
selecting one, the port can be set back to a previous version easily.

WWW: http://sourceforge.net/projects/portdowngrade/

Fix: 

See enclosed file
--Boundary-00=_md/S+cwjxVlAFYF
Content-Type: application/x-tgz;
  name="portdowngrade.tar.gz"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="portdowngrade.tar.gz"

H4sIAFr2Sz4AA+1WbW/iRhDOV/wrRknUtFL9AiThLg1JSXAoajAIwwVV1XGLveAtxra8JgmX8t87
awOBhJB+OF1VaR/dKd6dZ153ZpcojBM3fAhGMXFpP8KVamhG39DE5963gZE3jNPj4z0jw8u/x6d5
/C6dFgqlklEo4Xf+pHBS3APjG/nfiSlPSAywF4fhznwfPEr97xHQ98UBdDzGAf8R4B71fSCx47F7
qgHY5J4CS4AFKBwyn/4MMZ2EuEmCWeKxYAQDOgxjqhxAIqz4LEAOCVxc0gCmQUScsbAwmAENEhoL
lX3upcb20YMVJqiAhAmZoREnpiSh4LKYOkkYM8p/Sak8tbm2DQ8MIx1QwM6lrjA/C6eChEY8EbVL
h2TqJxDReMI4Z2HANeVAWWS7SBGcMEgIC/iZEOWi9VF4udZdxhMWDMNXggYZUxHkK0E0HqlOOJlg
5ltlLuVOvFUS+egMY6KOF4IDKmyGNhljKUCNNrfhAnSX3uvBFEtTuPghn6k/vlR/zoRj6Y64/rmn
60dwsZ0E5+dwZFpVNRyq2xlHSq9RPYEfN6TiEtFwsLTB18JPUIaPJdctUWIY5GPxgzFwCwN6Usx/
oCUnf+I4xaGy08VbmaxKvyuTJentTJYMzOQALPqQeuHYHb6PDYe9g+25sIHdfgaIzQNBtapo3Kx/
3ZSxFQXDKOpGQc8Xhc6dF07e5i7xG8WpiuHc0yhzvAkJgl9Hk0fNpRdoo1q3O1alYZZzdkLJWDt8
ajXbnU9m2643rTkShJ/Dm5jSK7t6mK6VnqBkSi/SWNMt5/AEld51pWPWmu26aZdzfManCfM5nnfF
7pjtvl3viP3Dp7V1325229fmTbNdM+cbzL7dvarW24K/DGAuomlU6lYH/5soepUjRtBsNEyrU7Zp
Iu4oETEMxLWShGIZ03sWTjnc01hMuTB4W7/qV80WHrUtMowSzTjLfNrofy6GhPq6EGTFaHX6dev6
tlvFgnzB8eunfa8+3sJnQYK/4fCp1jZbc0iNeemGbVbnoFLsuks92768PPqyMIcRvGfKZ4NUjbyy
tpJkBq+b1k291m2bfdP6VM5dt1o3t5WaXd5X6yKp5+Dn+/Cn0svl0LmQ+qlD9XZBwt35vsi3ZnX7
K5vl3IzieXZts19rVH5frrOdqz/qrcJqp1Gx8uXcZsdoeSHRWOD4U7yAzgfcTX83aJPxxfaJXk3s
GxO9fmfuGuo13ttzvUbC0eb/roHes7Qr8uxGfy/ulLU76pSCMbc2Lnh8niMuwn7eWkz24sbCd5AE
xJ99Fe8sPsGAjx0+mDOlFw5BxM+SVF+I0jqIZxUrwDGvpcqU42UjPsQbBELPI8GIcg2uZqKI6ZWI
3FA89StDDgnEc4w13lFboIQzf6aJprm7uzsDL0miM13n4TR2xA+JEdUCmuhRHP6FXri+WRihpqpK
7/UlsbuOu04se2nfO7GUtfvEUorosgELNuN+O7rMOX1kiaL8178DJSQkJCQkJCQkJCQkJCQkJCQk
JCQkJCQkJCQk/v/4B3mG4hcAKAAA

--Boundary-00=_md/S+cwjxVlAFYF--
Comment 1 Tilman Keskinoz freebsd_committer 2003-05-17 23:13:18 UTC
State Changed
From-To: open->feedback

This does not compile on my CURRENT: 

source='portdowngrade.cpp' object='portdowngrade.o' libtool=no  depfile='.deps/portdowngrade.Po' tmpdepfile='.deps/portdowngrade.TPo'  depmode=gcc3 /bin/sh ../depcomp  c++ -DHAVE_CONFIG_H -I. -I. -I..    -I/usr/local/include  -O -pipe -march=k6 -c -o portdowngrade.o `test -f portdowngrade.cpp || echo './'`portdowngrade.cpp 
In file included from portdowngrade.cpp:36: 
/usr/include/g++/fstream:304: warning: `typename std::basic_filebuf<_CharT, 
_Traits>::int_type' is implicitly a typename 
/usr/include/g++/fstream:304: warning: implicit typename is deprecated, please 
see the documentation for details 
/usr/include/g++/fstream:309: warning: `typename std::basic_filebuf<_CharT, 
_Traits>::int_type' is implicitly a typename 
/usr/include/g++/fstream:309: warning: implicit typename is deprecated, please 
see the documentation for details 
portdowngrade.cpp:37:17: slist: No such file or directory 
portdowngrade.cpp:41: `string' was not declared in this scope 
portdowngrade.cpp:41: syntax error before `;' token 
portdowngrade.cpp:43: syntax error before `=' token 
portdowngrade.cpp:44: syntax error before `=' token 
portdowngrade.cpp:45: 'string' is used as a type, but is not defined as a type. 
portdowngrade.cpp:51: 'string' is used as a type, but is not defined as a type. 
portdowngrade.cpp:65: syntax error before `&' token 
portdowngrade.cpp: In constructor `TempDir::TempDir()': 
portdowngrade.cpp:55: syntax error before `getTempFile' 
portdowngrade.cpp:56: `tempDir' undeclared (first use this function) 
portdowngrade.cpp:56: (Each undeclared identifier is reported only once for 
each function it appears in.) 
portdowngrade.cpp:60: `i_tempDir' undeclared (first use this function) 
portdowngrade.cpp: At global scope: 
portdowngrade.cpp:67: syntax error before `(' token 

(needs stlport to compile?) 

Further thoughts:  
- You may want to switch to a BSD License for a BSD utility :). 
- You should add other anoncvs mirrors, and not overload anoncvs.FreeBSD.org 
- Since you already have a configure script, you might want to check if cvs your path.
Comment 2 Mark Linimon 2003-11-11 17:51:47 UTC
Is there still any interest in this port?  If so, could the
submitter consider resending it as a uuencoded file rather
than base64-encoded?
Comment 3 Mark Linimon 2003-11-13 09:28:42 UTC
The request to resubmit as uuencoded was bogus.  However,
does the build problem remain?
Comment 4 Mark Linimon 2003-11-16 00:25:59 UTC
On my 5.1 system, this fails to configure with:

## ----------- ##
## Core tests. ##
## ----------- ##

configure:1192: error: cannot find install-sh or install.sh in . ./.. 
./../..

Can the author suggest a patch?
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2003-11-17 08:16:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon

I suppose since I've weighed in on this, I should take it.
Comment 6 Heiner 2003-11-17 20:55:01 UTC
On Sunday 16 November 2003 01:25, Mark Linimon wrote:
> On my 5.1 system, this fails to configure with:
>
> ## ----------- ##
> ## Core tests. ##
> ## ----------- ##
>
> configure:1192: error: cannot find install-sh or install.sh in . ./..
> ./../..
>
> Can the author suggest a patch?

Hi!

What a mess!!!! Please try the attached version.

Thanks

Heiner
Comment 7 Mark Linimon 2003-11-23 06:11:45 UTC
Although it now installs fine on 4.x, I get the following on 5.x:

portdowngrade.cpp:39:17: slist: No such file or directory
portdowngrade.cpp:43: syntax error before `;' token
portdowngrade.cpp: In function `int getVersionNumber(const char*, int, 
bool)':
portdowngrade.cpp:521: `cin' undeclared (first use this function)

Ideas?
Comment 8 Heiner 2003-11-23 09:06:16 UTC
Without a 5.x around these errors are hard to fix. As a last try please use 
the attached patch.


Thanks

Heiner
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2003-12-03 07:06:42 UTC
State Changed
From-To: feedback->analyzed

With the latest patch from the author, this now installs 
on both 4.x and 5.x and is ready for commit after the freeze.
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2003-12-04 06:50:29 UTC
State Changed
From-To: analyzed->closed

Committed, thanks for being patient.